@import "@styles/base/colors";
// @import "~styles/typography";

// @include font($fontGotham, 16px, 19.2px);
.dropdownContainer {
  width: 24px;
  height: 24px;
  border: 1px solid $greyText;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  transition: 0.4s;

  .arrow {
    transform: rotate(-90deg);
  }

  .menu {
    top: 20px !important;
  }

  .dropdownClosed {
    transition: 0.4s;
  }

  .dropdownOpen {
    transform: rotate(180deg);
  }
}

.disabled {
  cursor: not-allowed;
  pointer-events: none;
  border: 1px solid $greyColor;

  svg {
    path {
      stroke: $greyColor;
    }
  }
}
